ONVIF::PTZ::Types::MotionExpression(3)

NAME
ONVIF::PTZ::Types::MotionExpression

DESCRIPTION
Perl data type class for the XML Schema defined complexType MotionExpression from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Expression

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::MotionExpression
   Expression =>  $some_value, # string
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the "attr()" method.

attr() returns an object of the class ONVIF::PTZ::Types::MotionExpression::_MotionExpression::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   Type

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::string.

AUTHOR
Generated by SOAP::WSDL